Bug 418831 - Rhythmbox crashes randomly - mostly at the end of a track
Rhythmbox crashes randomly - mostly at the end of a track
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 16:15 EST by Dmitry Burstein
Modified: 2007-12-12 06:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 13:35:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace info (11.76 KB, text/plain)
2007-12-10 16:15 EST, Dmitry Burstein
no flags Details

  None (edit)
Description Dmitry Burstein 2007-12-10 16:15:07 EST
Description of problem:
rhythmbox crashes randomly - mostly at the end of a track.

Version-Release number of selected component (if applicable):
0.11.3-5.fc8.i386

How reproducible:
Sometimes it continues to the next one, as expected, but it never succeeded to
play more than 3-4 tracks in a row.

Additional info:
Backtrace attached.
I'm not sure this information is helpful, but:
a) it happened both with the visible main window and in the minimized to
notification area state.
b) my installation of f8 is an upgrade from f7
Comment 1 Dmitry Burstein 2007-12-10 16:15:07 EST
Created attachment 283321 [details]
backtrace info
Comment 2 Bastien Nocera 2007-12-10 17:26:12 EST
Crashes in X extensions with the NVidia drivers in use. Reassigning to the nv
driver, please reopen when you've reproduced the problem with the nv driver (or
a free driver).

#0  0x00616c1f in XQueryExtension (dpy=0x9d9ec78, name=0x4190df5 "GLX", 
    major_opcode=0xb2e131dc, first_event=0xb2e131e0, first_error=0xb2e131e4)
    at QuExt.c:47
#1  0x0060ba2b in XInitExtension (dpy=0x9d9ec78, name=0x4190df5 "GLX")
    at InitExt.c:49
#2  0x005d50f3 in XextAddDisplay () from /usr/lib/libXext.so.6
#3  0x04161a17 in ?? () from /usr/lib/nvidia/libGL.so.1
Comment 3 Matěj Cepl 2007-12-11 04:16:38 EST
Hi,

I am from the Xorg team, and I have to confirm what Bastien wrote -- unless you
will be able to reproduce the problem with open source nv (or vesa) driver, we
cannot help you.

Please, after reproducing the bug with nv (or vesa) driver, attach your X server
config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to
the bug report as individual uncompressed file attachments using the bugzilla
file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Dmitry Burstein 2007-12-11 13:22:04 EST
Hi guys.
You were right: it was all NVIDIA's driver fault - it was installed in order to
try compiz. The bug was unreproducable neither with nv not with vesa drivers
(without compiz of course). I was about to file this bug at NVIDIA, but with
their new beta drivers the bug was gone, so, all in all it can be closed.
Thank you both for the quick response.
Comment 5 Matěj Cepl 2007-12-12 06:04:53 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.